#
# spec file for package python-lancet-ioam
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without test
Name:           python-lancet-ioam
Version:        0.9.0
Release:        3.1
Summary:        Launch jobs, organize the output, and dissect the results
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            http://ioam.github.com/lancet/
Source:         https://files.pythonhosted.org/packages/source/l/lancet-ioam/lancet-ioam-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Recommends:     python-Pillow
Recommends:     python-holoviews
Recommends:     python-numpy
Recommends:     python-pandas
BuildArch:      noarch
%python_subpackages

%description
Lancet is designed to help you organize the output of your research
tools, store it, and dissect the data you have collected. The output
of a single simulation or analysis rarely contains all the data you
need; Lancet helps you generate data from many runs and analyse it
using your own Python code.

Parameter spaces often need to be explored for the purpose of
plotting, tuning, or analysis. Lancet helps you extract the
information you care about from potentially enormous volumes of data
generated by such parameter exploration.

%prep
%setup -q -n lancet-ioam-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%{python_sitelib}/lancet
%{python_sitelib}/lancet[-_]ioam-%{version}*-info

%changelog
* Fri May 30 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Aug 17 2017 toddrme2178@gmail.com
- Initial version
